メインコンテンツまでスキップ

Restore Collection Backup (V2)

既存のクラスターに collection backup を復元します。この API は dedicated cluster にのみ適用されることに注意してください。

POST/v2/clusters/{CLUSTER_ID}/backups/{BACKUP_ID}/restoreCollection
接続エンドポイント

https://api.cloud.zilliz.com

shell
export BASE_URL="https://api.cloud.zilliz.com"
パラメータ
Authorizationstringheader必要

認証トークンには、適切な権限を持つ API key を使用する必要があります。

値の例: Bearer {{TOKEN}}
CLUSTER_IDstringpath必要

対象の collection backup が存在するクラスターの ID。

値の例: inxx-xxxxxxxxxxxxxxx
BACKUP_IDstringpath必要

対象の backup の ID。

値の例: Dedicated-01_backup3
リクエスト・ボディ
destClusterIdstring必要

復元された collection が属するクラスターの ID。

dbCollectionsarray

collection group のリスト。

[]dbCollectionsobject

1 つの collection group。

dbNamestring

collectionNames フィールドに記載された collections を含むソースデータベースの名前。

destDbNamestring

指定された collections の復元先となる宛先データベースの名前。

collectionsarray

現在、Zilliz Cloud では一度に 1 つの collection しか復元できません。そのため、このリストには collection 名を 1 つだけ含めてください。未指定の場合、backup 内のすべての collections がアンロードされた状態で target cluster に復元されます。

[]collectionsobject

復元する collection。

collectionNamestring

復元するソース collection の名前。

destCollectionNamestring

宛先 collection の名前。

destCollectionStatusstring

宛先 collection のステータス。

bash
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"
export BACKUP_ID="Dedicated-01_backup3"

curl --request POST \
--url "${BASE_URL}/v2/clusters/${CLUSTER_ID}/backups/${BACKUP_ID}/restoreCollection" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"destClusterId": "in01-xxxxxxxxxxxxxx",
"dbCollections": [
{
"collections": [
{
"collectionName": "medium_articles",
"destCollectionName": "restore_medium_articles",
"destCollectionStatus": "LOADED"
}
]
}
]
}'
レスポンス

response

codeinteger

レスポンスコード。

dataobject

非同期 control-plane ジョブの ID を含むレスポンスペイロード。

jobIdstring

このリクエストによって作成される collection 復元ジョブの ID。

エラーメッセージを返します。

codeinteger

レスポンスコード。

messagestring

エラーメッセージ。

Successjson
{
"code": 0,
"data": {
"jobId": "job-xxxxxxxxxxxxxxxxxxxxxx"
}
}
Ctrl I